CFullStats Class Reference
Uncategorized

This class is used to evaluate the statistics of a series of input data. More...

`#include <mia/core/fullstats.hh>`

## Public Member Functions

template<typename InputIterator>
| CFullStats (InputIterator begin, InputIterator end)
double | max () const
double | mean () const
double | median () const
double | min () const
void | print (std::ostream &os) const
| Print the statistics to some output file.
double | sigma () const

## Detailed Description

This class is used to evaluate the statistics of a series of input data.

This class is used to evaluate the mean, variation, median, minimum and the maximum of some input data.

Definition at line 39 of file fullstats.hh.

## Constructor & Destructor Documentation

## CFullStats()

template<typename InputIterator>

CFullStats::CFullStats | ( | InputIterator | begin,
|  | InputIterator | end )

Evaluate the statictics of a range of input data.

Template Parameters

  a | forward iterator, The value it hold must be convertable to double

Parameters

  begin |
  end |

Definition at line 77 of file fullstats.hh.

## Member Function Documentation

## max()

double CFullStats::max | ( |  | ) | const

Returns
  the minimum of the values

## mean()

double CFullStats::mean | ( |  | ) | const

Returns
  the mean of the values

## median()

double CFullStats::median | ( |  | ) | const

Returns
  the median of the values

## min()

double CFullStats::min | ( |  | ) | const

Returns
  the maximum of the values

## print()

void CFullStats::print | ( | std::ostream & | os | ) | const

Print the statistics to some output file.

Referenced by operator<<().

## sigma()

double CFullStats::sigma | ( |  | ) | const

Returns
  the variation \(\sigma\) of the values

The documentation for this class was generated from the following file:

- fullstats.hh